Subject: Re: [Sipping] PoC-settings event package

From: Miguel Garcia <[email-masked]>
Date: Fri, 01 Jul 2005 10:03:37 +0300

Paul and the rest of the SIPPING WG:

I have created a new revision of the OMA PoC event package, addressing 
your concerns about the usage from several UAs. Basically, I have added 
an <entity> element that contains an "id" attribute to distinguish 
publications from different EPAs. Then it is up to the ESC to compose a 
single view or provide all the information to the subscribers if it is 
not able to do it by itself.

I have also added one more setting recently requested by OMA.

Until the draft is available, it can be retrieved from:

http://people.nokia.net/~miguel/drafts/draft-garcia-sipping-poc-isb-am-03.txt

A version that contains revision marks is also available.

http://people.nokia.net/~miguel/drafts/draft-garcia-sipping-poc-isb-am-02-to-03.html

I hope this is ok for everyone now.

BR,

          Miguel

Paul Kyzivat wrote:

> I have one question on this document:
> 
>    5.16  Multiple Sources for Event State
> 
>    RFC 3903 [8] requires event packages to specify whether multiple
>    sources can contribute to the event state view at the ESC.
> 
>    This event package allows different EPAs to publish the PoC settings
>    for a particular user.  For a given user the ESC will consider the
>    last received PoC settings documents segment as the valid updated
>    event state.
> 
> I don't follow this. If two phones are registered and publishing then 
> you take the most recent publication as applying to the AoR as a whole?
> 
> That doesn't make sense to me. One might be in auto answer mode and the 
> other in manual mode. When a call comes in, the proper treatment is a 
> function of which the call is directed to.
> 
> There is a problem in that there is no good way for the ESC to correlate 
> the published settings with a particular registration, but that seems to 
> be what is needed.
> 
> As described, the two phones will both be registered and will both 
> periodically update their POC settings in an uncoordinated way. Just 
> doesn't work.
> 
>     Paul
> 
> 
> 
> Miguel Garcia wrote:
> 
>> Hi:
>>
>> I have just submitted a new version of the poc-settings event package 
>> draft. Until it is available, you can download a copy from:
>>
>> http://people.nokia.net/~miguel/drafts/draft-garcia-sipping-poc-isb-am-02.txt 
>>
>> or
>> http://people.nokia.net/~miguel/drafts/draft-garcia-sipping-poc-isb-am-02.html 
>>
>>
>> This contains the mostly editorial comments that I got in the mailing 
>> list and in the exper review.
>>
>> Regards,
>>
>>         Miguel
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

-- 
Miguel A. Garcia           tel:+358-50-4804586
sip:[email-masked]
Nokia Research Center      Helsinki, Finland

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP